//Convert_SI.cpp
#include<math.h>
#include "Combustion_Library.h"
#include "Convert_SI.h"

//These functions call the English units version.
//The code that converts the units is at the bottom of the CPP file.

double H_Air_SI( double P, double T )
{
	return Convert_to_SI( H_Air(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Argon_SI( double P, double T )
{
	return Convert_to_SI( H_Argon(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}

double H_Nitrogen_SI( double P, double T )
{
	return Convert_to_SI( H_Nitrogen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_CarbDiox_SI( double P, double T )
{
	return Convert_to_SI( H_CarbDiox(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Water_SI( double P, double T )
{
	return Convert_to_SI( H_Water(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Steam_SI( double P, double T )
{
	return Convert_to_SI( H_Steam(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Ammonia_SI( double P, double T )
{
	return Convert_to_SI( H_Ammonia(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Butane_SI( double P, double T )
{
	return Convert_to_SI( H_Butane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Ethane_SI( double P, double T )
{
	return Convert_to_SI( H_Ethane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Ethylene_SI( double P, double T )
{
	return Convert_to_SI( H_Ethylene(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}

double H_Hydrogen_SI( double P, double T )
{
	return Convert_to_SI( H_Hydrogen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}

double H_Methane_SI( double P, double T )
{
	return Convert_to_SI( H_Methane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}

double H_Octane_SI( double P, double T )
{
	return Convert_to_SI( H_Octane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Oxygen_SI( double P, double T )
{
	return Convert_to_SI( H_Oxygen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_Propane_SI( double P, double T )
{
	return Convert_to_SI( H_Propane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}



// =====================================================================
double S_Air_SI( double P, double T )
{
  return Convert_to_SI( S_Air(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Argon_SI( double P, double T )
{
  return Convert_to_SI( S_Argon(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Nitrogen_SI( double P, double T )
{
  return Convert_to_SI( S_Nitrogen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_CarbDiox_SI( double P, double T )
{
  return Convert_to_SI( S_CarbDiox(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Water_SI( double P, double T )
{
  return Convert_to_SI( S_Water(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Steam_SI( double P, double T )
{
  return Convert_to_SI( S_Steam(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}

double S_Ammonia_SI( double P, double T )
{
  return Convert_to_SI( S_Ammonia(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Butane_SI( double P, double T )
{
  return Convert_to_SI( S_Butane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Ethane_SI( double P, double T )
{
  return Convert_to_SI( S_Ethane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Ethylene_SI( double P, double T )
{
  return Convert_to_SI( S_Ethylene(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Hydrogen_SI( double P, double T )
{
  return Convert_to_SI( S_Hydrogen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Methane_SI( double P, double T )
{
  return Convert_to_SI( S_Methane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Octane_SI( double P, double T )
{
  return Convert_to_SI( S_Octane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Oxygen_SI( double P, double T )
{
  return Convert_to_SI(S_Oxygen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_Propane_SI( double P, double T )
{
  return Convert_to_SI( H_Propane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}



// =====================================================================
double T_HP_Air_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Air(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
} 
double T_HP_Nitrogen_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Nitrogen(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
} 
double T_HP_Argon_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Argon(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
} 
double T_HP_CarbDiox_SI( double H, double P )
{
  return Convert_to_SI( T_HP_CarbDiox(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Ammonia_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Ammonia(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Butane_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Butane(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Ethane_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Ethane(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Ethylene_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Ethylene(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Hydrogen_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Hydrogen(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Methane_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Methane(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Octane_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Octane(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Oxygen_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Oxygen(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Propane_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Propane(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Water_SI( double H, double P)
{
  return Convert_to_SI( T_HP_Water(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_Steam_SI( double H, double P )
{
  return Convert_to_SI( T_HP_Steam(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}


double T_SP_Air_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Air(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
} 
double T_SP_Nitrogen_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Nitrogen(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
} 
double T_SP_Argon_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Argon(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
} 
double T_SP_CarbDiox_SI( double S, double P )
{
  return Convert_to_SI( T_SP_CarbDiox(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Ammonia_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Ammonia(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Butane_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Butane(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Ethane_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Ethane(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Ethylene_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Ethylene(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Hydrogen_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Hydrogen(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Methane_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Methane(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Octane_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Octane(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Oxygen_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Oxygen(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Propane_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Propane(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Water_SI( double S, double P)
{
  return Convert_to_SI( T_SP_Water(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_Steam_SI( double S, double P )
{
  return Convert_to_SI( T_SP_Steam(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}



double P_HT_Air_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Air(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
 
double P_HT_Nitrogen_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Nitrogen(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
} 
double P_HT_Argon_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Argon(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_CarbDiox_SI( double H, double T )
{
  return Convert_to_SI( P_HT_CarbDiox(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Ammonia_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Ammonia(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Butane_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Butane(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Ethane_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Ethane(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Ethylene_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Ethylene(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Hydrogen_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Hydrogen(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Methane_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Methane(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Octane_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Octane(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Oxygen_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Oxygen(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Propane_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Propane(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Water_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Water(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}
double P_HT_Steam_SI( double H, double T )
{
  return Convert_to_SI( P_HT_Steam(Convert_to_English(H,'H'),Convert_to_English(T,'T')) ,'P');
}



double P_ST_Air_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Air(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
} 
double P_ST_Nitrogen_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Nitrogen(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
} 
double P_ST_Argon_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Argon(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_CarbDiox_SI( double S, double T )
{
  return Convert_to_SI( P_ST_CarbDiox(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Ammonia_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Ammonia(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Butane_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Butane(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Ethane_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Ethane(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Ethylene_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Ethylene(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Hydrogen_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Hydrogen(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Methane_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Methane(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Octane_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Octane(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Oxygen_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Oxygen(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Propane_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Propane(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Water_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Water(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}
double P_ST_Steam_SI( double S, double T )
{
  return Convert_to_SI( P_ST_Steam(Convert_to_English(S,'S'),Convert_to_English(T,'T')) ,'P');
}






// =====================================================================
double Tsat_Water_SI( double P )
{
  return Convert_to_SI( Tsat_Water(Convert_to_English(P,'P')),'T');
}
double Psat_Water_SI( double T )
{
  return Convert_to_SI( Psat_Water(Convert_to_English(T,'T')),'P');
}


double rhosat_Water_SI( double T )
{
	//V may look wrong for rhosat but units do convert correctly using 
	//Convert_to_English
  return Convert_to_English( rhosat_Water(Convert_to_English(T,'T')),'V');
}
// =====================================================================

double P_Air_SI( double V, double T )
{
	return Convert_to_SI( P_Air(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Argon_SI( double V, double T )
{
	return Convert_to_SI( P_Argon(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Nitrogen_SI( double V, double T )
{
	return Convert_to_SI( P_Nitrogen(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_CarbDiox_SI( double V, double T )
{
	return Convert_to_SI( P_CarbDiox(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Water_SI( double V, double T )
{
	return Convert_to_SI( P_Water(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Ammonia_SI( double V, double T )
{
	return Convert_to_SI( P_Ammonia(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Butane_SI( double V, double T )
{
	return Convert_to_SI( P_Butane(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Ethane_SI( double V, double T )
{
	return Convert_to_SI( P_Ethane(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Ethylene_SI( double V, double T )
{
	return Convert_to_SI( P_Ethylene(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Hydrogen_SI( double V, double T )
{
	return Convert_to_SI( P_Hydrogen(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Methane_SI( double V, double T )
{
	return Convert_to_SI( P_Methane(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Octane_SI( double V, double T )
{
	return Convert_to_SI( P_Octane(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Oxygen_SI( double V, double T )
{
	return Convert_to_SI( P_Oxygen(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}
double P_Propane_SI( double V, double T )
{
	return Convert_to_SI( P_Propane(Convert_to_English(V,'V'),Convert_to_English(T,'T')) ,'P');

}






double V_Air_SI( double P, double T )
{
  return Convert_to_SI( V_Air(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Argon_SI( double P, double T )
{
  return Convert_to_SI( V_Argon(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}

double V_Nitrogen_SI( double P, double T )
{
  return Convert_to_SI( V_Nitrogen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_CarbDiox_SI( double P, double T )
{
  return Convert_to_SI( V_CarbDiox(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Steam_SI( double P, double T )
{
  return Convert_to_SI( V_Steam(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Water_SI( double P, double T )
{
  return Convert_to_SI( V_Water(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}

double V_Ammonia_SI( double P, double T )
{
  return Convert_to_SI( V_Ammonia(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Butane_SI( double P, double T )
{
  return Convert_to_SI( V_Butane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Ethane_SI( double P, double T )
{
  return Convert_to_SI( V_Ethane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Ethylene_SI( double P, double T )
{
  return Convert_to_SI( V_Ethylene(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Hydrogen_SI( double P, double T )
{
  return Convert_to_SI( V_Hydrogen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Methane_SI( double P, double T )
{
  return Convert_to_SI( V_Methane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Octane_SI( double P, double T )
{
  return Convert_to_SI( V_Octane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Oxygen_SI( double P, double T )
{
  return Convert_to_SI( V_Oxygen(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}
double V_Propane_SI( double P, double T )
{
  return Convert_to_SI( V_Propane(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'V');
}

// =====================================================================

double H_C5H12_SI( double P, double T )
{
  return Convert_to_SI( H_C5H12(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_CO_SI( double P, double T )
{
  return Convert_to_SI( H_CO(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_NO_SI( double P, double T )
{
  return Convert_to_SI( H_NO(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_OH_SI( double P, double T )
{
  return Convert_to_SI( H_OH(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_H_SI( double P, double T )
{
  return Convert_to_SI( H_H(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_O_SI( double P, double T )
{
  return Convert_to_SI( H_O(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}
double H_H2O_V_SI( double P, double T )
{
  return Convert_to_SI( H_H2O_V(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'H');
}


double S_C5H12_SI( double P, double T )
{
  return Convert_to_SI( S_C5H12(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_CO_SI( double P, double T )
{
  return Convert_to_SI( S_CO(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_NO_SI( double P, double T )
{
  return Convert_to_SI( S_NO(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_OH_SI( double P, double T )
{
  return Convert_to_SI( S_OH(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_H_SI( double P, double T )
{
  return Convert_to_SI( S_H(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_O_SI( double P, double T )
{
  return Convert_to_SI( S_O(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}
double S_H2O_V_SI( double P, double T )
{
  return Convert_to_SI( S_H2O_V(Convert_to_English(P,'P'),Convert_to_English(T,'T')) ,'S');
}


double T_HP_C5H12_SI( double H, double P)
{
  return Convert_to_SI( T_HP_C5H12(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_CO_SI( double H, double P )
{
  return Convert_to_SI( T_HP_CO(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_NO_SI( double H, double P )
{
  return Convert_to_SI( T_HP_NO(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_OH_SI( double H, double P )
{
  return Convert_to_SI( T_HP_OH(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_H_SI( double H, double P )
{
  return Convert_to_SI( T_HP_H(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_O_SI( double H, double P )
{
  return Convert_to_SI( T_HP_O(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}
double T_HP_H2O_V_SI( double H, double P )
{
  return Convert_to_SI( T_HP_H2O_V(Convert_to_English(H,'H'),Convert_to_English(P,'P')) ,'T');
}



double T_SP_C5H12_SI( double S, double P)
{
  return Convert_to_SI( T_SP_C5H12(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_CO_SI( double S, double P )
{
  return Convert_to_SI( T_SP_CO(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_NO_SI( double S, double P )
{
  return Convert_to_SI( T_SP_NO(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_OH_SI( double S, double P )
{
  return Convert_to_SI( T_SP_OH(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_H_SI( double S, double P )
{
  return Convert_to_SI( T_SP_H(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_O_SI( double S, double P )
{
  return Convert_to_SI( T_SP_O(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}
double T_SP_H2O_V_SI( double S, double P )
{
  return Convert_to_SI( T_SP_H2O_V(Convert_to_English(S,'S'),Convert_to_English(P,'P')) ,'T');
}


// =====================================================================
double Mw_Products_SI( double HC_ratio, double PercentAir, double *CO2,
				    double *H2O, double *Air, double *Ar, double *N2 )
{
	return Mw_Products(HC_ratio,PercentAir,CO2,H2O,Air,Ar,N2);
}

// =====================================================================



// =====================================================================
double H_Products_SI( double P, double T, double HydroCarb, double PercentStoi )
{
  return Convert_to_SI( H_Products(Convert_to_English(P,'P'),Convert_to_English(T,'T'),HydroCarb,PercentStoi) ,'H');


}
double S_Products_SI( double P, double T, double HydroCarb, double PercentStoi )
{
  return Convert_to_SI( S_Products(Convert_to_English(P,'P'),Convert_to_English(T,'T'),HydroCarb,PercentStoi) ,'S');
}


// =====================================================================
double TfromS_Products_SI( double P, double S, double HydroCarb, 
						double PercentStoi )
{
  return Convert_to_SI( TfromS_Products(Convert_to_English(P,'P'),
			Convert_to_English(S,'S'),HydroCarb,PercentStoi) ,'T');
}

double TfromH_Products_SI( double P, double H, double HydroCarb, 
						double PercentStoi )
{
  return Convert_to_SI( TfromH_Products(Convert_to_English(P,'P'),
			Convert_to_English(H,'H'),HydroCarb,PercentStoi) ,'T');
}




//The following two functions convert the units.

/*
Input (SI) Units are assumed as following
Temp K
H	 KJ/Kg-mole
P    MPa
S	 KJ/Kg-mole-K
V    m^3/Kg-mole
*/

double Convert_to_English(double val,char property)  //property is T for temparature P for Pressure

{
	switch(property)
	{
	case 'T':
	case 't':
		val = val *1.8;
		break;
	case 'P':
	case 'p':
		val = val*pow(10,6.0)/6894.757;
		break;
	case 'H' :
	case 'h':
		val = val*(1000/1054.35)*(453.592/1000);
		break;
	case 'S':
	case 's':
		val = val*(1000/1054.35)*(453.592/1000)*(1/1.8);
		break;
	case 'V':
	case 'v':
		val = val*( pow(100,3.0)/(pow(12,3.0) *pow(2.54,3.0)) )*(453.592/1000);
		break;
	}

	return val;

}




/*
Input units assumed the following function are
  T			R
  P			Psia
  H			Btu/lb-mole
  S			Btu/lb-mole-R
  V			ft^3/lb-mole
  */

double Convert_to_SI(double val,char property)  //property is T for temparature P for Pressure

{
	switch(property)
	{
	case 'T':
	case 't':
		val = val/1.8;
		break;
	case 'P':
	case 'p':
		val = val*6894.757/pow(10,6.0);
		break;
	case 'H' :
	case 'h' :
		val = val*(1000/453.592)*(1054.35/1000);
		break;
	case 'S':
	case 's':
		val = val*(1000/453.592)*(1054.35/1000)*(1.8);
		break;
	case 'V':
	case 'v':
		val = val*( (pow(12,3.0) *pow(2.54,3.0))/pow(100,3.0) )*(1000/453.592);
		break;
	}

	return val;

}